QGIS Application - Bug report #6472
Qgis 1.8.0 converts WGS84 to OSGB36 incorrectly
2012-10-06 04:05 PM - lan Goddard

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15703
Description

In attempting to georeference old OS maps | noticed that converting lat/long to OS grid gives different results to coordinates provided by
OS, e.g. on Streetmap.co.uk. Coordinates from Google maps via OpenlLayers with on-the-fly reprojection give similar incorrect results.
To replicate Settings>Custom CRS. In Test section give parameters +proj=tmerc +lat_0=49 +lon_0=-2 +k=0.9996012717 +x_0=400000
+y_0=-100000 +ellps=airy +datum=0SGB36 +units=m +no_defs and 53.5502777778, 1.8008333333 and calculate result. In 1.7.0 &
1.4.0 the results are 413293 405979 which compares with Streetmap's coordinates for the same point. On 1.8.0 the result is 413194,
406006

To find the location on www.streetmap.co.uk search for Cartworth. The location is the junction of Cartworth Moor Rd & Weather Hill
Lane.

Platform is Debian Squeeze AMD 64

History

#1 - 2012-10-07 11:36 AM - lan Goddard

After some more checking, 1.8.0 is OK on windows & master is OK on Squeeze. Maybe it's a problem with one or two specific builds.

#2 - 2014-06-21 03:50 AM - Jiirgen Fischer
- Status changed from Open to Closed

probably fixed.
